﻿using Contrib.SecuredSocketsLayer.Models;
using Orchard.Data;
using Orchard.ContentManagement.Handlers;
using Orchard.Environment.Extensions;

namespace Contrib.SecuredSocketsLayer.Handlers {
    public class SslSettingsPartHandler : ContentHandler {
        public SslSettingsPartHandler(IRepository<SslSettingsPartRecord> repository) {
            Filters.Add(new ActivatingFilter<SslSettingsPart>("Site"));
            Filters.Add(StorageFilter.For(repository));
        }
    }
}