using Orchard.ContentManagement;

namespace Contrib.SecuredSocketsLayer.Models {
    public class SslSettingsPart : ContentPart<SslSettingsPartRecord> {
        public string Urls
        {
            get { return Record.Urls; }
            set { Record.Urls = value; }
        }

        public bool AdminEnabled {
            get { return Record.AdminEnabled; }
            set { Record.AdminEnabled = value; }
        }

        public bool AuthenticationEnabled {
            get { return Record.AuthenticationEnabled; }
            set { Record.AuthenticationEnabled = value; }
        }

        public bool CustomEnabled {
            get { return Record.CustomEnabled; }
            set { Record.CustomEnabled = value; }
        }

        public string SecureHostName {
            get { return Record.SecureHostName; } 
            set { Record.SecureHostName = value; }
        }

        public string InsecureHostName {
            get { return Record.InsecureHostName; }
            set { Record.InsecureHostName = value; }
        }
    }
}